<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Travelling ScrollSpy</title>
</head>
<style>

html{
    scroll-behavior: smooth;
}

body{
    margin: 0;
    padding: 0;
}

*{
    box-sizing: border-box;
}

.navbar{
    position: fixed;
    top: 0;
    width: 100%;
    height: 60px;
    background: #333;
    /* display: flex; */
}

.traveller{
    height: 100%;
    max-height: 100%;
    /* width: 120px; */
    border-bottom: 3px solid orange;
    /* left: 100px; */
    z-index: 1;
    transform: translateX(-100%);

    transition: transform .5s ease-in-out, width .5s ease-in-out;
}

/* .traveller-after{
    width: 150px;
    transform: translateX(100%);

    transition: all .5s ease-in-out;
    
} */

.content{
    display: inline-block;
}

ul{
    margin: 0;
    padding: 0;
    height: 100%;
    width: 50%;
    float: right;
    list-style: none;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

ul li{
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    /* width: 20%; */
}

ul li a{
    color: #eee;
    text-decoration: none;
    padding: 0 30px;
}

    .section{
        height: 100vh;
        min-height: 100vh;
        width: 100%;
        min-width: 100%;
        padding: 50px 20px 20px 20px;
    }

    .section:nth-child(2){
        background-color: burlywood;
    }

    .section:nth-child(3){
        background-color: coral;
    }

    .section:nth-child(4){
        background-color: darkslategray;
    }

    .section:nth-child(5){
        background-color: cadetblue;
    }

</style>
<body>

    <div class="navbar">

        <div id="traveller" class="content traveller">

        </div>

        <!-- <div id="blah" class="content blah">

        </div> -->

        <ul>
            <li id="blah">
                <a href="#section1">Home</a>
            </li>

            <li>
                <a href="#section2">About</a>
            </li>

            <li>
                <a href="#section3">contact</a>
            </li>

            <li>
                <a href="#section4">Gallery</a>
            </li>
        </ul>

    </div>

        <div class="section" id="section1">
            <h1> this is section #1</h1>
        </div>
        <div class="section" id="section2">
            <h1> this is section #2</h1>
        </div>
        <div class="section" id="section3">
            <h1> this is section #3</h1>
        </div>
        <div class="section" id="section4">
            <h1> this is section #4</h1>
        </div>



    <script src="js/jQuery.js"></script>
    <script src="js/travelling-scrollspy.js"></script>

    <!-- <script>
        const traveller = document.getElementById('traveller');
        let targets = document.getElementsByTagName('a');
        let sections = document.getElementsByClassName('section')

        let count = 0;
        let targetsLinks = targets[count].getAttribute('href');
        let sectionId = sections[count].getAttribute('id');

        console.log(targetsLinks);
        console.log(sectionId);

        let y = $(sections[1]).position();
        console.log(y.top);

        // let height = $(window).scrollTop();
        // console.log(height);

        // window.addEventListener('scroll', function(){



        //     if(height > y.top){
        //         sections[1].style.backgroundColor = "red";
        //         const position = targets[1].getBoundingClientRect();
        //         const positionLeft = position.left;
        //         const travellingWidth = targets[1].clientWidth;

        //         traveller.style.transform = 'translateX(' + positionLeft + 'px)';
        //         traveller.style.width = travellingWidth + "px";

        //     }
            
        // });

        $(function(){
            $(window).scroll(function(e){
                var scroll = $(window).scrollTop();

                // $('.anchortag.active').removeClass('active');

                $('[id^=chapter]').each(function(_, chapter) {
                    var id = chapter.id;

                    if($(chapter).offset().top < scroll) {
                        $('#box .anchortag[href=\'#' + id + '\']').addClass('active'); 
                    }
                });
            });
        });

        // for (let i=0; i<sections.length; i++){
        //
        //
        // }

        const position = targets[0].getBoundingClientRect();
        const positionLeft = position.left;
        const travellingWidth = targets[0].clientWidth;
        
        traveller.style.transform = 'translateX(' + positionLeft + 'px)';
        traveller.style.width = travellingWidth + "px";
        // console.log(positionLeft);

        //links onclick function
        for(let i=0; i<targets.length; i++){
            
            targets[i].onclick = function(event){
                var position = event.target.getBoundingClientRect();
                var positionLeft = position.left;
                var travellingWidth = event.target.clientWidth;
                
                // traveller.classList.add('traveller-after');
                traveller.style.transform = 'translateX(' + positionLeft + 'px)';
                traveller.style.width = travellingWidth + "px";
            }
        }

        

    
    </script> -->
</body>
</html>